/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2008 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */

#ifndef FAKE_INCL_SYMBIAN_IMAP_ACCOUNT_MANAGER
#define FAKE_INCL_SYMBIAN_IMAP_ACCOUNT_MANAGER

#include <e32base.h>
#include <e32std.h>
#include "base/fscapi.h"

BEGIN_NAMESPACE

/**
 * Fake IMAP account manager.
 * The implementation is completely useless.
 */
class CImapAccountManager: public CBase
{

public:

    static CImapAccountManager* NewL() { return NULL; }
    static CImapAccountManager* NewLC() { return NULL; }
    ~CImapAccountManager() {}
    
    void UpdateAccountL(const TDesC8* aImapLogin,const TDesC8* aImapPassword,
                        const TDesC* aEmailAlias,const TDesC* aEmailAddress,
                        const TDesC& aIapName) {}

    //bool AccountExists(CEmailAccounts* emailAccounts, const TDesC8& name) { return false; }
    bool AccountExists(const StringBuffer& aName) { return false; }
    void DeleteAccountL(const TDesC& aAccountName) {}
    //void HandleSessionEventL(TMsvSessionEvent /*aEvent*/, TAny* /*aArg1*/, TAny* /*aArg2*/, TAny* /*aArg3*/) {}

    bool setUsername(const StringBuffer& username) { return false; }
    bool setPassword(const StringBuffer& password) { return false; }
    bool setAddress(const StringBuffer& address)   { return false; }
    bool setDisplayName(const StringBuffer& name)  { return false; }
    bool setCredentials(const StringBuffer& username, const StringBuffer& password) { return false; }
    bool setIap(const StringBuffer& aIap) { return false; }
};

END_NAMESPACE

#endif

