#ifndef _SMSPUSH_PROPERTY_H_
#define _SMSPUSH_PROPERTY_H_

#include "commonDefs.h"

// property UID (is the SID of pushserver app)
const TUid KSMSPushPropUid = { SMS_PUSH_SERVER_SID };

// property keys
enum TSMSPushPropertyKey
{ 
    EPushReceived
};

// property values
enum TSMSPushPropertyValue
{
    ENullPush     = 0x0,
    EMailPush     = 0x1,
    EContactsPush = 0x2,
    ECalendarPush = 0x4,
    ENotesPush    = 0x8
};

// push server application name
#define SMS_PUSH_SERVER_NAME    "pushserver.exe"

#endif
