# ============================================================================
#  Name	 : build_help.mk
#  Part of  : client_unit_test
# ============================================================================
#  Name	 : build_help.mk
#  Part of  : client_unit_test
#
#  Description: This make file will build the application help file (.hlp)
# 
# ============================================================================

do_nothing :
	@rem do_nothing

# build the help from the MAKMAKE step so the header file generated
# will be found by cpp.exe when calculating the dependency information
# in the mmp makefiles.

MAKMAKE : client_unit_test_0xEEBB239C.hlp
client_unit_test_0xEEBB239C.hlp : client_unit_test.xml client_unit_test.cshlp Custom.xml
	cshlpcmp client_unit_test.cshlp
ifeq (WINS,$(findstring WINS, $(PLATFORM)))
	copy client_unit_test_0xEEBB239C.hlp $(EPOCROOT)epoc32\$(PLATFORM)\c\resource\help
endif

BLD : do_nothing

CLEAN :
	del client_unit_test_0xEEBB239C.hlp
	del client_unit_test_0xEEBB239C.hlp.hrh

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE : do_nothing
		
FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo client_unit_test_0xEEBB239C.hlp

FINAL : do_nothing
